Intermittent test_leaf_layers_partition_browser_window.xul, test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html, test_transformed_scrolling_repaints.h [@ mozilla::dom::workers::WorkerPrivate::Dispatch]

RESOLVED WORKSFORME

Status

()

Core
DOM: Workers
--
critical
RESOLVED WORKSFORME
6 years ago
3 years ago

People

(Reporter: mbrubeck, Unassigned)

Tracking

({crash, intermittent-failure})

14 Branch
All
Linux
crash, intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test which aborts the suite], crash signature)

(Reporter)

Description

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=10368556&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2012-03-26 02:15:43 PDT for push 9d156f164c8e

12165 INFO TEST-START | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview.xul
12166 INFO TEST-PASS | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview.xul | Should have called beforeprint listener! - 1 should equal 1
12167 INFO TEST-PASS | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview.xul | Should have called afterprint listener! - 1 should equal 1
12168 INFO TEST-PASS | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview.xul | Canvas should be the same!
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview.xul | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:01:35.193770
INFO | automation.py | Reading PID log: /tmp/tmpkq6J9qpidlog
==> process 2267 launched child process 2298
==> process 2267 launched child process 2307
==> process 2267 launched child process 2315
==> process 2267 launched child process 2317
==> process 2267 launched child process 2319
INFO | automation.py | Checking for orphan process with PID: 2298
INFO | automation.py | Checking for orphan process with PID: 2307
INFO | automation.py | Checking for orphan process with PID: 2315
INFO | automation.py | Checking for orphan process with PID: 2317
INFO | automation.py | Checking for orphan process with PID: 2319
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-linux64/1332752010/firefox-14.0a1.en-US.linux-x86_64.crashreporter-symbols.zip
PROCESS-CRASH | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview.xul | application crashed (minidump found)
Crash dump filename: /tmp/tmpdokrNs/minidumps/42764222-22c1-7325-17327926-4c680ffb.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGSEGV
Crash address: 0x10

Thread 6 (crashed)
 0  libpthread-2.11.so + 0x8db0
    rbx = 0x00000000   r12 = 0x4953c010   r13 = 0x5dbfed50   r14 = 0x00000001
    r15 = 0x5dbfed40   rip = 0xd3608db0   rsp = 0x5dbfebd8   rbp = 0x4953c2f8
    Found by: given as instruction pointer in context
 1  libnspr4.so!PR_Lock [ptsynch.c : 206 + 0x4]
    rip = 0x6e8e5789   rsp = 0x5dbfebe0
    Found by: stack scanning
 2  libxul.so!mozilla::dom::workers::WorkerPrivate::Dispatch [Mutex.h : 106 + 0x8]
    rbx = 0x4953c000   rip = 0x6bd058b9   rsp = 0x5dbfebf0
    Found by: call frame info
 3  libxul.so!mozilla::dom::workers::WorkerRunnable::Dispatch [WorkerPrivate.cpp : 1628 + 0x8]
    rbx = 0x3c01bc70   r12 = 0x00000000   r13 = 0x5dbfed50   rip = 0x6bd02309
    rsp = 0x5dbfec40   rbp = 0x64753401
    Found by: call frame info
 4  libxul.so!WorkerRunnableEventTarget::Dispatch [WorkerPrivate.cpp : 1294 + 0xa]
    rbx = 0x3c92e600   r12 = 0x6eb209a8   r13 = 0x5dbfed50   rip = 0x6bd023de
    rsp = 0x5dbfecd0   rbp = 0x647534d8
    Found by: call frame info
 5  libxul.so!nsTimerImpl::PostTimerEvent [nsTimerImpl.cpp : 628 + 0xb]
    rbx = 0x3c930c40   r12 = 0x6eb209a8   r13 = 0x5dbfed50   rip = 0x6c262273
    rsp = 0x5dbfed00   rbp = 0x8007000e
    Found by: call frame info
 6  libxul.so!TimerThread::Run [TimerThread.cpp : 319 + 0x7]
    rbx = 0x6eb20980   r12 = 0x6eb209a8   r13 = 0x5dbfed50   rip = 0x6c2629f6
    rsp = 0x5dbfed30   rbp = 0x3c930c40
    Found by: call frame info
 7  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp : 656 + 0x5]
    rbx = 0x5dc58160   r12 = 0x00000000   r13 = 0x00000000   r14 = 0x5dbfee5f
    r15 = 0x00000003   rip = 0x6c25f556   rsp = 0x5dbfedc0   rbp = 0x5dbfee01
    Found by: call frame info
 8  libxul.so!NS_ProcessNextEvent_P [nsThreadUtils.cpp : 245 + 0xd]
    rbx = 0x5dc58101   r12 = 0x5dc581b0   r13 = 0x00000000   r14 = 0x00000000
    r15 = 0x00000003   rip = 0x6c233093   rsp = 0x5dbfee50   rbp = 0x5dbfee80
    Found by: call frame info
 9  libxul.so!nsThread::ThreadFunc [nsThread.cpp : 289 + 0xc]
    rbx = 0x5dc58160   r12 = 0x5dc581b0   r13 = 0x00000000   r14 = 0x00000000
    r15 = 0x00000003   rip = 0x6c25f145   rsp = 0x5dbfee70   rbp = 0x5dbfee80
    Found by: call frame info
10  libnspr4.so!_pt_root [ptthread.c : 187 + 0x6]
(Reporter)

Comment 1

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=10795098&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitest-other on 2012-04-10 19:15:10 PDT for push 4db1292be760

12322 INFO TEST-START | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview_bug482976.xul
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview_bug482976.xul | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:01:35.002176
INFO | automation.py | Reading PID log: /tmp/tmpZo-Amkpidlog
==> process 2139 launched child process 2173
==> process 2139 launched child process 2179
==> process 2139 launched child process 2186
==> process 2139 launched child process 2188
==> process 2139 launched child process 2190
INFO | automation.py | Checking for orphan process with PID: 2173
INFO | automation.py | Checking for orphan process with PID: 2179
INFO | automation.py | Checking for orphan process with PID: 2186
INFO | automation.py | Checking for orphan process with PID: 2188
INFO | automation.py | Checking for orphan process with PID: 2190
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-linux-pgo/1334106002/firefox-14.0a1.en-US.linux-i686.crashreporter-symbols.zip
PROCESS-CRASH | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview_bug482976.xul | application crashed (minidump found)
Crash dump filename: /tmp/tmpx3ANt1/minidumps/102f17b8-64ec-d8f1-0b396a8f-756a69b8.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7 21:25:57 EST 2009 i686
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGSEGV
Crash address: 0x2813

Thread 6 (crashed)
 0  libpthread-2.11.so + 0x7bed
    eip = 0x00c6dbed   esp = 0xb21fef24   ebp = 0xb21fef38   ebx = 0x00c7cff4
    esi = 0x00002807   edi = 0x006003c0   eax = 0x000000f0   ecx = 0x0000005c
    edx = 0x0065006a   efl = 0x00010212
    Found by: given as instruction pointer in context
 1  firefox-bin!free [jemalloc.c : 1601 + 0xb]
    eip = 0x08051c93   esp = 0xb21fef40   ebp = 0x00600000
    Found by: previous frame's frame pointer
 2  libnspr4.so!PR_Free [prmem.c:4db1292be760 : 490 + 0x7]
    eip = 0x00616f37   esp = 0xb21fef80   ebp = 0xb21fef98   ebx = 0x0063252c
    esi = 0x0065006a   edi = 0x66f455af
    Found by: call frame info
 3  libnspr4.so!pt_PostNotifies [ptsynch.c:4db1292be760 : 163 + 0x7]
    eip = 0x00623984   esp = 0xb21fefa0   ebp = 0xb21ff028   ebx = 0x0063252c
    esi = 0x0065006a   edi = 0x66f455af
    Found by: call frame info
 4  libnspr4.so!PR_Unlock [ptsynch.c:4db1292be760 : 240 + 0xb]
    eip = 0x006239f4   esp = 0xb21ff030   ebp = 0xb21ff048   ebx = 0x0063252c
    esi = 0xb2512120   edi = 0x97a3bfc0
    Found by: call frame info
 5  libxul.so!mozilla::Mutex::Unlock [Mutex.h : 115 + 0x9]
    eip = 0x0120885d   esp = 0xb21ff050   ebp = 0x00000000   ebx = 0x0273a6a8
    esi = 0x9c49a000   edi = 0x97a3bfc0
    Found by: call frame info
 6  libxul.so!mozilla::dom::workers::WorkerPrivate::Dispatch [Mutex.h : 189 + 0xb]
    eip = 0x0185626b   esp = 0xb21ff070   ebp = 0x00000000   ebx = 0x0273a6a8
    esi = 0x9c49a000   edi = 0x97a3bfc0
    Found by: call frame info
 7  libxul.so!mozilla::dom::workers::WorkerPrivate::Dispatch [WorkerPrivate.h:4db1292be760 : 608 + 0x19]
    eip = 0x01859f35   esp = 0xb21ff0c0   ebp = 0x00000000   ebx = 0x0273a6a8
    esi = 0x97a3bfc0   edi = 0x026b2ae8
    Found by: call frame info
 8  libxul.so!mozilla::dom::workers::WorkerControlRunnable::DispatchInternal [WorkerPrivate.cpp:4db1292be760 : 1698 + 0xf]
    eip = 0x018562a5   esp = 0xb21ff0e0   ebp = 0x00000000   ebx = 0x0273a6a8
    esi = 0x97a3bfc0   edi = 0x026b2ae8
    Found by: call frame info
 9  libxul.so!mozilla::dom::workers::WorkerRunnable::Dispatch [WorkerPrivate.cpp:4db1292be760 : 1642 + 0x7]
    eip = 0x01853509   esp = 0xb21ff100   ebp = 0x00000000   ebx = 0x0273a6a8
    esi = 0x97a3bfc0   edi = 0x026b2ae8
    Found by: call frame info
10  libxul.so!WorkerRunnableEventTarget::Dispatch [WorkerPrivate.cpp:4db1292be760 : 1308 + 0x12]
    eip = 0x018535fe   esp = 0xb21ff170   ebp = 0x0262ba48   ebx = 0x0273a6a8
    esi = 0xa57a68c0   edi = 0xb71090b0
    Found by: call frame info
11  libxul.so!nsTimerImpl::PostTimerEvent [nsTimerImpl.cpp:4db1292be760 : 628 + 0x13]
    eip = 0x01efca72   esp = 0xb21ff190   ebp = 0x0262ba48   ebx = 0x0273a6a8
    esi = 0xb71090b0   edi = 0x97f37df0
    Found by: call frame info
12  libxul.so!TimerThread::Run [TimerThread.cpp:4db1292be760 : 319 + 0x7]
    eip = 0x01efd94a   esp = 0xb21ff1c0   ebp = 0xb21ff218   ebx = 0x0273a6a8
    esi = 0x97f37df0   edi = 0xb75176c0
    Found by: call frame info
13  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:4db1292be760 : 656 + 0x7]
    eip = 0x01ef8b8d   esp = 0xb21ff250   ebp = 0x02731308   ebx = 0x0273a6a8
    esi = 0xb2398580   edi = 0xb21ff298
    Found by: call frame info
14  libxul.so!NS_ProcessNextEvent_P [nsThreadUtils.cpp:4db1292be760 : 245 + 0x16]
    eip = 0x01ec066f   esp = 0xb21ff2c0   ebp = 0xb23985ac   ebx = 0x0273a6a8
    esi = 0xb21ff2ef   edi = 0xb21ff32c
    Found by: call frame info
15  libxul.so!nsThread::ThreadFunc [nsThread.cpp:4db1292be760 : 289 + 0xf]
    eip = 0x01ef9869   esp = 0xb21ff300   ebp = 0xb23985ac   ebx = 0x0273a6a8
    esi = 0xb2398580   edi = 0xb21ff32c
    Found by: call frame info
16  libnspr4.so!_pt_root [ptthread.c:4db1292be760 : 187 + 0x8]
    eip = 0x00628d85   esp = 0xb21ff350   ebp = 0xb21ff378   ebx = 0x0063252c
    esi = 0xb223b190   edi = 0x00000000
    Found by: call frame info
17  libpthread-2.11.so + 0x5ab4
    eip = 0x00c6bab5   esp = 0xb21ff380   ebp = 0xb21ff478   ebx = 0x00c7cff4
    esi = 0xb21ffb70   edi = 0x003d0f00
    Found by: call frame info
18  libc-2.11.so + 0xda83d
    eip = 0x00bc283e   esp = 0xb21ff480   ebp = 0x00000000
    Found by: previous frame's frame pointer
Summary: Intermittent TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/base/test/chrome/test_printpreview.xul | Exited with code 1 during test run | application crashed [@ mozilla::dom::workers::WorkerPrivate::Dispatch] → Intermittent TEST-UNEXPECTED-FAIL | test_printpreview.xul or test_printpreview_bug482976.xul | Exited with code 1 during test run | application crashed [@ mozilla::dom::workers::WorkerPrivate::Dispatch]

Comment 2

6 years ago
https://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=610a9df3875b
https://tbpl.mozilla.org/php/getParsedLog.php?id=11147302&tree=Mozilla-Inbound

Rev3 Fedora 12 mozilla-inbound opt test mochitest-other
using revision: integration/mozilla-inbound/610a9df3875b

{
11804 INFO TEST-PASS | chrome://mochitests/content/chrome/image/test/mochitest/test_undisplayed_iframe.html | Reference snapshot shouldn't match clean (non-image) snapshot
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/image/test/mochitest/test_undisplayed_iframe.html | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:01:25.001065
INFO | automation.py | Reading PID log: /tmp/tmpuXf-nppidlog
==> process 2231 launched child process 2261
==> process 2231 launched child process 2268
==> process 2231 launched child process 2275
==> process 2231 launched child process 2277
==> process 2231 launched child process 2279
INFO | automation.py | Checking for orphan process with PID: 2261
INFO | automation.py | Checking for orphan process with PID: 2268
INFO | automation.py | Checking for orphan process with PID: 2275
INFO | automation.py | Checking for orphan process with PID: 2277
INFO | automation.py | Checking for orphan process with PID: 2279
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-linux/1335251499/firefox-14.0a1.en-US.linux-i686.crashreporter-symbols.zip
PROCESS-CRASH | chrome://mochitests/content/chrome/image/test/mochitest/test_undisplayed_iframe.html | application crashed (minidump found)
Crash dump filename: /tmp/tmpzGtcuk/minidumps/004009ae-c323-6f29-310df541-665be911.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7 21:25:57 EST 2009 i686
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  SIGSEGV
Crash address: 0xc

Thread 6 (crashed)
 0  libpthread-2.11.so + 0x7bed
    eip = 0x00c6dbed   esp = 0xb21ff044   ebp = 0xb21ff058   ebx = 0x00c7cff4
    esi = 0x00000000   edi = 0x9bd379cc   eax = 0xb21ff0ac   ecx = 0x00000017
    edx = 0xa94aa3d4   efl = 0x00010212
    Found by: given as instruction pointer in context
 1  libnspr4.so!PR_Lock [ptsynch.c : 206 + 0x7]
    eip = 0x0075e842   esp = 0xb21ff060   ebp = 0xb21ff078
    Found by: previous frame's frame pointer
 2  libxul.so!mozilla::dom::workers::WorkerPrivate::Dispatch [Mutex.h : 106 + 0x8]
    eip = 0x016eb252   esp = 0xb21ff080   ebp = 0x9bd3781c   ebx = 0x02467fc8
    esi = 0x9bd37800
    Found by: call frame info
 3  libxul.so!mozilla::dom::workers::WorkerPrivate::Dispatch [WorkerPrivate.h : 608 + 0x10]
    eip = 0x016eb338   esp = 0xb21ff0d0   ebp = 0x00000000   ebx = 0x02467fc8
    esi = 0xa94aa3c0   edi = 0x023e6a01
    Found by: call frame info
 4  libxul.so!mozilla::dom::workers::WorkerControlRunnable::DispatchInternal [WorkerPrivate.cpp : 1693 + 0xc]
    eip = 0x016eb364   esp = 0xb21ff0f0   ebp = 0x00000000   ebx = 0x02467fc8
    esi = 0xa94aa3c0   edi = 0x023e6a01
    Found by: call frame info
 5  libxul.so!mozilla::dom::workers::WorkerRunnable::Dispatch [WorkerPrivate.cpp : 1637 + 0x8]
    eip = 0x016e7056   esp = 0xb21ff110   ebp = 0x00000000   ebx = 0x02467fc8
    esi = 0xa94aa3c0   edi = 0x023e6a01
    Found by: call frame info
 6  libxul.so!WorkerRunnableEventTarget::Dispatch [WorkerPrivate.cpp : 1303 + 0xb]
    eip = 0x016e7138   esp = 0xb21ff180   ebp = 0xb21ff234   ebx = 0x02467fc8
    esi = 0xa53a63e0   edi = 0xb6708050
    Found by: call frame info
 7  libxul.so!nsTimerImpl::PostTimerEvent [nsTimerImpl.cpp : 628 + 0xc]
    eip = 0x01c96465   esp = 0xb21ff1b0   ebp = 0xb21ff234   ebx = 0x02467fc8
    esi = 0xa6298490   edi = 0x8007000e
    Found by: call frame info
 8  libxul.so!TimerThread::Run [TimerThread.cpp : 319 + 0x7]
    eip = 0x01c96d39   esp = 0xb21ff1e0   ebp = 0xb21ff234   ebx = 0x02467fc8
    esi = 0xb75176c0   edi = 0xa6298490
    Found by: call frame info
 9  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp : 656 + 0x5]
    eip = 0x01c93085   esp = 0xb21ff260   ebp = 0xb21ff31c   ebx = 0x02467fc8
    esi = 0xb23a1520   edi = 0x00000000
}
Summary: Intermittent TEST-UNEXPECTED-FAIL | test_printpreview.xul or test_printpreview_bug482976.xul | Exited with code 1 during test run | application crashed [@ mozilla::dom::workers::WorkerPrivate::Dispatch] → Intermittent TEST-UNEXPECTED-FAIL | test_printpreview.xul or test_printpreview_bug482976.xul or test_undisplayed_iframe.html | Exited with code 1 during test run | application crashed [@ mozilla::dom::workers::WorkerPrivate::Dispatch]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Is this a regression in Fx14? when did the crashes for this test start happening?

FWIW, I tried running layout/base/test/chrome/test_printpreview.xul ten times,
and all chrome tests in that directory five times, in a local Linux64 debug build
(m-i) without any crashes.  Also tried an ASAN build (m-c) without problems.
Severity: normal → critical
tracking-firefox14: --- → ?
tracking-firefox15: --- → ?
Keywords: qawanted, regressionwindow-wanted

Comment 8

6 years ago
Rev3 Fedora 12 fx-team pgo test mochitest-other on 2012-05-13 00:57:23 PDT for push c758cc9b60e5
slave: talos-r3-fed-046

https://tbpl.mozilla.org/php/getParsedLog.php?id=11713331&tree=Fx-Team
Summary: Intermittent TEST-UNEXPECTED-FAIL | test_printpreview.xul or test_printpreview_bug482976.xul or test_undisplayed_iframe.html | Exited with code 1 during test run | application crashed [@ mozilla::dom::workers::WorkerPrivate::Dispatch] → Intermittent TEST-UNEXPECTED-FAIL | test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html | Exited with code 1 during test run | application crashed [@ mozilla::dom::workers::WorkerPrivate::Dispatch]

Updated

6 years ago
tracking-firefox14: ? → +
tracking-firefox15: ? → +
Comment hidden (Treeherder Robot)
(Reporter)

Comment 10

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=11746255&tree=Mozilla-Inbound

(In reply to Mats Palmgren [:mats] from comment #7)
> Is this a regression in Fx14? when did the crashes for this test start
> happening?

See comment 0; the first crash was on 2012-03-26 on mozilla-inbound, so this started in Firefox 14.0a1.

> FWIW, I tried running layout/base/test/chrome/test_printpreview.xul ten
> times, and all chrome tests in that directory five times, in a local Linux64
> debug build (m-i) without any crashes.

This crash has happened five times over the course of two months, and in a different test each time.  In that period we've run the complete test suite some 50,000 times.  So it would probably take more than fifteen tries to reproduce it locally.  :)

Given the rarity of this crash, I don't think we need to track it for Fx14 unless we can reproduce it or we see it affecting user crash-stats.  We have other intermittent test crashes that are literally hundreds of times more frequent.
tracking-firefox14: + → ?
tracking-firefox15: + → ?
Hardware: x86_64 → All
Summary: Intermittent TEST-UNEXPECTED-FAIL | test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html | Exited with code 1 during test run | application crashed [@ mozilla::dom::workers::WorkerPrivate::Dispatch] → Intermittent test_leaf_layers_partition_browser_window.xul, test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html | Exited with code 1 during test run [@ mozilla::dom::workers::WorkerPrivate::Dispatch]
https://tbpl.mozilla.org/php/getParsedLog.php?id=11785945&tree=Mozilla-Inbound

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/base/test/chrome/test_default_background.xul | Exited with code 1 during test run
Summary: Intermittent test_leaf_layers_partition_browser_window.xul, test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html | Exited with code 1 during test run [@ mozilla::dom::workers::WorkerPrivate::Dispatch] → Intermittent test_leaf_layers_partition_browser_window.xul, test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html | Exited with code 1 during test run [@ mozilla::dom::workers::WorkerPrivate::Dispatch]
just resetting the lost tracking flag status from 05-14
tracking-firefox14: ? → +
tracking-firefox15: ? → +
My mistake, thought it was the old 'bugzilla clears your flags' but on closer inspection I see Matt's comment 10 - agreed, with a rare crash that we don't have STR for there's not much point tracking this one yet. Feel free to re-nominate if new data turns up.
tracking-firefox14: + → ---
tracking-firefox15: + → ---
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
https://tbpl.mozilla.org/php/getParsedLog.php?id=12986577&tree=Mozilla-Inbound
Summary: Intermittent test_leaf_layers_partition_browser_window.xul, test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html | Exited with code 1 during test run [@ mozilla::dom::workers::WorkerPrivate::Dispatch] → Intermittent test_leaf_layers_partition_browser_window.xul, test_printpreview.xul, test_printpreview_bug482976.xul, test_undisplayed_iframe.html, test_bug665540.html test_transformed_scrolling_repaints.h [@ mozilla::dom::workers::WorkerPrivate::Dispatch]
PROCESS-CRASH | chrome://mochitests/content/chrome/image/test/mochitest/test_background_image_anim.html 
https://tbpl.mozilla.org/php/getParsedLog.php?id=13008833&tree=Mozilla-Inbound
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
Comment hidden (Treeherder Robot)
(Assignee)

Updated

6 years ago
Whiteboard: [orange][test which aborts the suite] → [test which aborts the suite]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 58

5 years ago
I haven't found runs that go back enough to check when this bug started reproducing. Please let me know if there is a place I can find test run logs for Firefox 14 and older.
Keywords: qawanted
Closing inactive keywords:intermittent-failure bugs where the TBPLbot has previously commented and the test isn't marked as disabled; filter on orange-cleanup-201401.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
Keywords: regressionwindow-wanted
You need to log in before you can comment on or make changes to this bug.